Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XRoleClassAccommodationRequestor

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XRoleClassAccommodationRequestor

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XRoleClassAccommodationRequestor

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XRole Class Accommodation Requestor', and utility methods for working with them. abstDomain: V19382 (C-0-D11555-V13940-V19382-cpt)

See Also:
  `CDAR2Package.getXRoleClassAccommodationRequestor()`

Field Summary
`static int` | `AGNT` The 'AGNT' literal value.
`static XRoleClassAccommodationRequestor` | `AGNT_LITERAL` The 'AGNT' literal object.
`static int` | `PAT` The 'PAT' literal value.
`static XRoleClassAccommodationRequestor` | `PAT_LITERAL` The 'PAT' literal object.
`static int` | `PROV` The 'PROV' literal value.
`static XRoleClassAccommodationRequestor` | `PROV_LITERAL` The 'PROV' literal object.
`static int` | `PRS` The 'PRS' literal value.
`static XRoleClassAccommodationRequestor` | `PRS_LITERAL` The 'PRS' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XRole Class Accommodation Requestor' enumerators.

Method Summary
`static XRoleClassAccommodationRequestor` | `get(int value)` Returns the 'XRole Class Accommodation Requestor' literal with the specified integer value.
`static XRoleClassAccommodationRequestor` | `get(java.lang.String literal)` Returns the 'XRole Class Accommodation Requestor' literal with the specified literal value.
`static XRoleClassAccommodationRequestor` | `getByName(java.lang.String name)` Returns the 'XRole Class Accommodation Requestor' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AGNT

    public static final int AGNT

  The 'AGNT' literal value.

  If the meaning of 'AGNT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AGNT_LITERAL`, Constant Field Values

### PAT

    public static final int PAT

  The 'PAT' literal value.

  If the meaning of 'PAT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PAT_LITERAL`, Constant Field Values

### PROV

    public static final int PROV

  The 'PROV' literal value.

  If the meaning of 'PROV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PROV_LITERAL`, Constant Field Values

### PRS

    public static final int PRS

  The 'PRS' literal value.

  If the meaning of 'PRS' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRS_LITERAL`, Constant Field Values

### AGNT_LITERAL

    public static final XRoleClassAccommodationRequestor AGNT_LITERAL

  The 'AGNT' literal object.

  See Also:
    `AGNT`

### PAT_LITERAL

    public static final XRoleClassAccommodationRequestor PAT_LITERAL

  The 'PAT' literal object.

  See Also:
    `PAT`

### PROV_LITERAL

    public static final XRoleClassAccommodationRequestor PROV_LITERAL

  The 'PROV' literal object.

  See Also:
    `PROV`

### PRS_LITERAL

    public static final XRoleClassAccommodationRequestor PRS_LITERAL

  The 'PRS' literal object.

  See Also:
    `PRS`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XRole Class Accommodation Requestor' enumerators.

Method Detail

### get

    public static XRoleClassAccommodationRequestor get(java.lang.String literal)

  Returns the 'XRole Class Accommodation Requestor' literal with the specified literal value.

### getByName

    public static XRoleClassAccommodationRequestor getByName(java.lang.String name)

  Returns the 'XRole Class Accommodation Requestor' literal with the specified name.

### get

    public static XRoleClassAccommodationRequestor get(int value)

  Returns the 'XRole Class Accommodation Requestor' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD